> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v3 Questions Filter

> Filter Questions



## OpenAPI

````yaml post /v3/questions/filter
openapi: 3.0.0
info:
  contact: {}
  description: V2 HTTP JSON API for localcopy-labels stored info (taxonomy)
  title: localcopy-labels API
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v3/questions/filter:
    post:
      tags:
        - Questions
      summary: v3 Questions Filter
      description: Filter Questions
      operationId: v3QuestionsFilter
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilterRequest
        description: Questions details request
        required: true
      responses:
        '200':
          description: details about questions
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilterResponse
        '400':
          description: permissions service rejected a request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        default:
          description: some other error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilterRequest:
      properties:
        include:
          $ref: >-
            #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilterRequestInclude
        questions:
          description: List of namespace codes + question codes to filter by.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilter
          type: array
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilterResponse:
      properties:
        questions:
          description: Questions matching the filtering criteria.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Question
          type: array
      type: object
    errors.HTTPError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilterRequestInclude:
      properties:
        categories:
          description: Include question's parent categories up to root.
          type: boolean
        datapoints:
          description: Include question's direct datapoints (children).
          type: boolean
        taxonomy_paths:
          description: >-
            Include question's taxonomy_paths - list of paths from the root

            category down to the leaf category. Can be multiple paths when
            question

            is present in multiple categories.
          type: boolean
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v3.QuestionsFilter:
      properties:
        namespace_code:
          description: "Optional. Question's namespace code (core, gwi-ext).\nThis will be inferred from the question code and is here for backwards\ncompatibility reasons.\nExamples:\n\n\tfor \"question\" `gwi-ext.q4`, namespace_code would be `gwi-ext`\n\tfor \"question\" `q4`, namespace_code is inferred to be `core`"
          type: string
        question:
          description: >-
            Question code with namespace prefix (gwi-ext.q4), or without it
            (q4).
          type: string
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Question:
      properties:
        accessible:
          description: Is question accessible or not, false = show upsell cube.
          type: boolean
        attribute_count:
          description: Number of attributes in question.
          type: integer
        categories:
          description: |-
            Categories where this question is present.
            Item is present only in some endpoints.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Category
          type: array
        code:
          description: Question code without namespace prefix (q4).
          type: string
        datapoints:
          description: |-
            Question's datapoints.
            Item is present only in some endpoints.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Datapoint
          type: array
        datasets:
          description: |-
            Question's datasets.
            Item is present only in some endpoints.
          items:
            $ref: '#/components/schemas/localcopylabelspb.Dataset'
          type: array
        description:
          description: Full question description.
          type: string
        flags:
          description: Flags of the question (like averages enabled, and so on).
          items:
            type: string
          type: array
        knowledge_base:
          description: Link to knowledge base (https://help.globalwebindex.com/en).
          type: string
        message:
          description: >-
            Message to display to client about this question, where was asked,
            etc. (Q2

            2020 Only. This question is asked to all respondents.).
          type: string
        name:
          description: Question name (Time Spent Online on Mobile).
          type: string
        namespace_code:
          description: Namespace code (core, gwi-ext).
          type: string
        notice:
          description: Question notice (To work out average daily time spent, please).
          type: string
        order:
          description: Order of question within the category folder if applicable (2.75).
          type: number
        suffixes:
          description: |-
            Question's suffixes.
            Item is present only in some endpoints.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Suffix
          type: array
        taxonomy_paths:
          description: >-
            List of taxonomy paths where this question is present with included
            dataset

            if any.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.TaxonomyPath
          type: array
        unit:
          description: Question average unit from metadata (hours).
          type: string
        warning:
          description: Question warning (Time Spent Online on Mobile).
          type: string
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Category:
      properties:
        attribute_count:
          description: Number of attributes in category.
          type: integer
        child_categories:
          description: Child Categories, used for include=children.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Category
          type: array
        child_questions:
          description: Children Questions, used for include=children.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Question
          type: array
        datasets:
          description: |-
            Included items below.
            Datasets of category. Used with include datasets.
          items:
            $ref: '#/components/schemas/localcopylabelspb.Dataset'
          type: array
        descendant_attributes:
          description: >-
            DescendantAttributes are all attributes (question+datapoint+suffix)
            of this

            question all the way to the leaf of the tree.
          items:
            $ref: '#/components/schemas/localcopylabelspb.DescendantAttribute'
          type: array
        description:
          description: Category full description.
          type: string
        id:
          description: Labels ID of category (a.k.a. external_id).
          type: string
        lineage:
          description: >-
            Lineage is route to category through taxonomy tree, starting from
            the root

            to the category itself.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Category
          type: array
        name:
          description: Human readable name of a category.
          type: string
        order:
          description: Order of category (5.5).
          type: number
        taxonomy_paths:
          description: >-
            List of taxonomy paths where this question is present with included
            dataset

            if any.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.TaxonomyPath
          type: array
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Datapoint:
      properties:
        accessible:
          description: >-
            Is datapoint accessible or not, false = upsell cube for free plan
            users.
          type: boolean
        code:
          description: Datapoint code (2).
          type: string
        midpoint:
          $ref: '#/components/schemas/wrapperspb.DoubleValue'
        name:
          description: Human readable name of datapoint (5 hours).
          type: string
        order:
          $ref: '#/components/schemas/wrapperspb.DoubleValue'
      type: object
    localcopylabelspb.Dataset:
      properties:
        base_audience_label:
          description: >-
            Base Audience Label - short textual description of a target
            population of the dataset.

            Examples: "All Internet Users", "Car owners", "NBA fans".
          type: string
        base_namespace_code:
          description: Base namespace of dataset (core, gwi-ext, etc...).
          type: string
        child_categories:
          description: List of child categories of the dataset.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Category
          type: array
        code:
          description: Dataset code (ds-core).
          type: string
        depth:
          description: >-
            Number of ancestors the base namespace of the dataset has in its
            lineage.
          type: integer
        description:
          description: Full description of dataset.
          type: string
        is_syndicated:
          description: Flag for whether dataset's base namespace is syndicated.
          type: boolean
        name:
          description: Human readable dataset name.
          type: string
        order:
          description: Order of the dataset in its parent folder (25.5).
          type: number
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Suffix:
      properties:
        code:
          description: Suffix code (1).
          type: string
        midpoint:
          $ref: '#/components/schemas/wrapperspb.DoubleValue'
        name:
          description: Human readable name of suffix.
          type: string
        order:
          $ref: '#/components/schemas/wrapperspb.DoubleValue'
      type: object
    github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.TaxonomyPath:
      properties:
        categories_lineage:
          description: >-
            List of categories from root of the taxonomy to the leaf where the
            question

            is.
          items:
            $ref: >-
              #/components/schemas/github.com_GlobalWebIndex_pb.go_atc_localcopylabels_v2.Category
          type: array
        dataset:
          $ref: '#/components/schemas/localcopylabelspb.Dataset'
      type: object
    localcopylabelspb.DescendantAttribute:
      properties:
        datapoint_code:
          description: Datapoint code - 1.
          type: string
        datapoint_name:
          description: Datapoint Name - "Yellow".
          type: string
        namespace_code:
          description: Namespace code - core, gwi-ext.
          type: string
        question_code:
          description: Question code - q4.
          type: string
        question_name:
          description: Question name - "What color do you like the most?".
          type: string
        suffix_code:
          description: Suffix code - 1.
          type: string
        suffix_name:
          description: Suffix Name - "Heavily agree".
          type: string
      type: object
    wrapperspb.DoubleValue:
      properties:
        value:
          description: The double value.
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````